# TdApi.UpdateChatAccentColors (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: UpdateChatAccentColors

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateChatAccentColors

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateChatAccentColors

Enclosing class:
  TdApi

public static final class TdApi.UpdateChatAccentColors extends TdApi.Update
Chat accent colors have changed.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`accentColorId`
The new chat accent color identifier.
`long`
`backgroundCustomEmojiId`
The new identifier of a custom emoji to be shown on the reply header and link preview background; 0 if none.
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`profileAccentColorId`
The new chat profile accent color identifier; -1 if none.
`long`
`profileBackgroundCustomEmojiId`
The new identifier of a custom emoji to be shown on the profile background; 0 if none.

## Constructor Summary

Constructors
Constructor
Description
`UpdateChatAccentColors()`
Chat accent colors have changed.
`UpdateChatAccentColors(long chatId, int accentColorId, long backgroundCustomEmojiId, int profileAccentColorId, long profileBackgroundCustomEmojiId)`
Chat accent colors have changed.
`UpdateChatAccentColors(DataInput input)`
Chat accent colors have changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### accentColorId

public int accentColorId
The new chat accent color identifier.

### backgroundCustomEmojiId

public long backgroundCustomEmojiId
The new identifier of a custom emoji to be shown on the reply header and link preview background; 0 if none.

### profileAccentColorId

public int profileAccentColorId
The new chat profile accent color identifier; -1 if none.

### profileBackgroundCustomEmojiId

public long profileBackgroundCustomEmojiId
The new identifier of a custom emoji to be shown on the profile background; 0 if none.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### UpdateChatAccentColors

public UpdateChatAccentColors()
Chat accent colors have changed.

### UpdateChatAccentColors

public UpdateChatAccentColors(long chatId, int accentColorId, long backgroundCustomEmojiId, int profileAccentColorId, long profileBackgroundCustomEmojiId)
Chat accent colors have changed.

Parameters:
  `chatId` - Chat identifier.
  `accentColorId` - The new chat accent color identifier.
  `backgroundCustomEmojiId` - The new identifier of a custom emoji to be shown on the reply header and link preview background; 0 if none.
  `profileAccentColorId` - The new chat profile accent color identifier; -1 if none.
  `profileBackgroundCustomEmojiId` - The new identifier of a custom emoji to be shown on the profile background; 0 if none.

### UpdateChatAccentColors

public UpdateChatAccentColors(DataInput input) throws IOException
Chat accent colors have changed.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`